| Haskell Hierarchical Libraries (base package) | Source code | Contents | Index

Data.STRef.Lazy

Portability | non-portable (uses Control.Monad.ST.Lazy)
Stability | experimental
Maintainer | libraries@haskell.org

Contents

STRefs

Description
Mutable references in the lazy ST monad.
Synopsis

data STRef s a
newSTRef :: a -> ST s (STRef s a)
readSTRef :: STRef s a -> ST s a
writeSTRef :: STRef s a -> a -> ST s ()
modifySTRef :: STRef s a -> (a -> a) -> ST s ()

STRefs
data STRef s a

a value of type `STRef s a` is a mutable variable in state thread `s`, containing a value of type `a`
Instances

Typeable2 STRef
Eq (STRef s a)

newSTRef :: a -> ST s (STRef s a)
readSTRef :: STRef s a -> ST s a
writeSTRef :: STRef s a -> a -> ST s ()
modifySTRef :: STRef s a -> (a -> a) -> ST s ()
Produced by Haddock version 0.8